petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDSCopyEquations

Copy all pointwise function pointers to the new problem

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSCopyEquations(PetscDS prob, PetscDS newprob)

Not collective

### Input Parameter

prob -The PetscDS object

### Output Parameter

newprob -The PetscDS copy

### See Also

PetscDSCopyBoundary(), PetscDSSetResidual(), PetscDSSetJacobian(), PetscDSSetRiemannSolver(), PetscDSSetBdResidual(), PetscDSSetBdJacobian(), PetscDSCreate()

### Level

intermediate

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages